## packaging-tutorial 0.2

=== Makefile ===
include LaTeX.mk

LATEXFILTER=/usr/share/texmf/scripts/latex-make/latexfilter.pl |\
  grep -v 'Overfull .[vh]box ([^)]*) has occurred while .output is active' |\
  grep -v 'Underfull .[vh]box ([^)]*) has occurred while .output is active' |\
  grep -v 'Overfull .[vh]box ([^)]*) in paragraph at lines ' |\
  grep -v 'Overfull .[vh]box ([^)]*) detected at line ' |\
  grep -v 'hyperref[^r]*removing' | \
  grep -v 'Overfull .[vh]box ([^)]*) detected at line ' |\
  grep  '[a-zA-Z]' |\
  grep -v 'Package hyperref Warning: Token not allowed in a PDFDocEncoded string,' |\
  grep -v 'OT1/cmss/././. ../..'

printable:
	pdftk packaging-tutorial.pdf pract1-grep.pdf pract2-gnujump.pdf pract3-java.pdf output tutorial-all.pdf
	pdfnup --paper a4paper --no-landscape --nup 2x4 --frame true --offset '0cm 0cm' --delta '0.5mm 0.5mm' --scale 0.965 --suffix 8 tutorial-all.pdf
	pdfnup --paper a4paper --landscape --nup 2x2 --frame true --offset '0cm 0cm' --delta '1mm 1mm' --scale 0.96 --suffix 4 tutorial-all.pdf

=== debian/changelog ===
packaging-tutorial (0.2) unstable; urgency=low

  * Improvements after tutorial at RMLL 2011:
    + Use apt-get build-dep to install dash's build dependencies
      (works on Ubuntu too)
    + Use --no-install-recommends when installing devscripts
    + Slight reorganization of the CDBS slide
    + Deep reorganization of the last part

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 12 Jul 2011 10:59:40 +0200

packaging-tutorial (0.1) unstable; urgency=low

  * Initial Release.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 25 May 2011 21:14:02 +0200

=== debian/control ===
Source: packaging-tutorial
Section: doc
Priority: extra
Maintainer: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/collab-maint/packaging-tutorial.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/packaging-tutorial.git;a=summary

Package: packaging-tutorial
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: introduction to Debian packaging
 This tutorial is an introduction to Debian packaging. It teaches prospective
 developers how to modify existing packages, how to create their own packages,
 and how to interact with the Debian community. In addition to the main
 tutorial, it includes three practical sessions on modifying the 'grep'
 package, and packaging the 'gnujump' game and a Java library.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 

override_dh_compress:
	        dh_compress -X.pdf

## packaging-tutorial 0.4

=== debian/changelog ===
packaging-tutorial (0.4) unstable; urgency=low

  [ David Prévot ]
  * po4a configuration for the translation process

  [ Cédric Boutillier ]
  * add French translation
  * update debian/rules to translate documents at build time

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 18 Oct 2011 07:27:33 +0200

packaging-tutorial (0.3) unstable; urgency=low

  * Merge practical sessions answers into the main document.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 26 Aug 2011 12:57:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: extra
 Maintainer: Lucas Nussbaum <lucas@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures
+Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/packaging-tutorial.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/packaging-tutorial.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

#translate source files before building pdf
override_dh_auto_build:
	po4a po4a/po4a.cfg --verbose
	dh_auto_build

#remove translated source files
override_dh_clean:
	dh_clean
	rm -f packaging-tutorial.*.tex debiantutorial.*.sty 

override_dh_compress:
	dh_compress -X.pdf

## packaging-tutorial 0.5

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,5 @@
   grep -v 'OT1/cmss/././. ../..'
 
 printable:
-	pdftk packaging-tutorial.pdf pract1-grep.pdf pract2-gnujump.pdf pract3-java.pdf output tutorial-all.pdf
-	pdfnup --paper a4paper --no-landscape --nup 2x4 --frame true --offset '0cm 0cm' --delta '0.5mm 0.5mm' --scale 0.965 --suffix 8 tutorial-all.pdf
-	pdfnup --paper a4paper --landscape --nup 2x2 --frame true --offset '0cm 0cm' --delta '1mm 1mm' --scale 0.96 --suffix 4 tutorial-all.pdf
+	pdfnup --paper a4paper --no-landscape --nup 2x4 --frame true --offset '0cm 0cm' --delta '0.5mm 0.5mm' --scale 0.965 --suffix 8 packaging-tutorial.pdf
+	pdfnup --paper a4paper --landscape --nup 2x2 --frame true --offset '0cm 0cm' --delta '1mm 1mm' --scale 0.96 --suffix 4 packaging-tutorial.pdf

=== debian/changelog ===
packaging-tutorial (0.5) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Minor updates to french translation during preparation for Capitole du
    Libre 2011.
  * Add a debian/rules target to regenerate the version and the date in the
    document.
  * Use newer version of grep with recent debian/ubuntu releases due to the ld
    --as-needed change.
  * Do not mention patch-tracker twice.
  * New practical session on gem2deb-based Ruby packaging.
  * Add slide on backports.
  * Initial import of spanish translation.

  [ Cédric Boutillier ]
  * Use changelog to determine automatically date and version
  * Update French translation
  * Add subsection for answer to practical session 4
  * Update POT file
  * (fr) proofread [Thomas Vincent]

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 14 Jan 2012 07:59:53 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	#translate source files before building pdf
	po4a po4a/po4a.cfg --verbose
	dh_auto_build

override_dh_clean:
	dh_clean
	#remove translated source files
	rm -f packaging-tutorial.*.tex debiantutorial.*.sty

override_dh_compress:
	dh_compress -X.pdf

#extract version number and date from Debian changelog
VERSION := $(shell dpkg-parsechangelog | grep "^Version:" | cut -d\  -f2)
YEAR    := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%Y")
MONTH   := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%m")
DAY    := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%d")

update-version-date:
	sed -i -e "s/.* % DATE - use debian\/rules update-version-date/\\\\date{\\\\footnotesize version $(VERSION) -- $(YEAR)-$(MONTH)-$(DAY)} \% DATE - use debian\/rules update-version-date/" packaging-tutorial.tex

## packaging-tutorial 0.7

=== debian/changelog ===
packaging-tutorial (0.7) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Add German translation. Closes: #672682.

  [ Stefano Zacchiroli ]
  * LaTeX markup: turn \url{} into hyperlinks using hyperref
  * LaTeX markup: remove unescaped \textbf{} within lstlisting
  * DEP-5: point to the policy version of the standard

  [ Lucas Nussbaum ]
  * Drop the use of LATEXFILTER to ease possible backports of the package.
    That script was renamed in latex-make 2.1.17-1. Closes: #676748.
  * Mention that fakeroot must be installed as well as devscripts.
    Closes: #659126.
  * es.po: unfuzzied a few strings that did not require language skills.
  * Bump Standards-Version to 3.9.3. No changes needed.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 04 Jul 2012 11:47:13 +0200

packaging-tutorial (0.6) unstable; urgency=low

  * Explain -us -uc when building packages.
  * Mention dch -i.
  * Explain how to install build-deps using mk-build-deps.
  * Explain how to unpack the source with dpkg-source -x.
  * Improve title of VCS slide.
  * Give example of package adoption.
  * update po files
  * update date in document
  * update po files

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 09 Apr 2012 22:32:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Lucas Nussbaum <lucas@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/packaging-tutorial.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/packaging-tutorial.git;a=summary

## packaging-tutorial 0.8~nd0

=== debian/changelog ===
packaging-tutorial (0.8~nd0) unstable; urgency=low

  * Manual backport
  * Check only pre-~ portion of the version while testing .tex file.
    Allows for seamless backports

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 07 Apr 2013 19:35:20 -0400

packaging-tutorial (0.8) unstable; urgency=low

  * Update spanish translation. Thanks to Omar Campagne. Closes: #681338
  * Add improvements proposed by Helge Kreutzmann. Closes: #672683
  * Add new mandatory targets in debian/rules. Thanks to Julien Cristau.
    Closes: #689287
  * Fix ES translation to make the package build again.
  * Re-add note to translators.
  * Fix what I could fix in DE, FR, ES translations.
  * Add doc-base entries for .es and .de. Closes: #680180
  * debian/copyright: Document copyright of the Debian logo. Closes: #685904
  * Fix gnujump URL. Thanks Henning Sprang and Stéphane Kanschine.
    Closes: #685359
  * Check for wrong version in .tex during build
  * Clarify that mk-build-deps is useful if package not uploaded yet.
    Closes: #702119
  * Include many fixes from Francesco Poli. Closes: #686594
  * Mention Debian Maintainer Dashboard.
  * Integrate more fixes from Francesco Poli. Closes: #695534

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 03 Mar 2013 11:50:43 +0100

## packaging-tutorial 0.8~nd0+nd13.04+1

=== debian/changelog ===
packaging-tutorial (0.8~nd0+nd13.04+1) raring; urgency=low

  * Backported for raring.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 28 Apr 2013 19:46:14 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

#extract version number and date from Debian changelog
VERSION := $(shell dpkg-parsechangelog | grep "^Version:" | cut -d\  -f2 | sed -e 's,~.*,,g')
TEXVERSION := $(shell grep 'footnotesize version' packaging-tutorial.tex  | cut -d ' ' -f 3)
YEAR    := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%Y")
MONTH   := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%m")
DAY    := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%d")


override_dh_auto_build:
	# version check
	if [ $(TEXVERSION) != $(VERSION) ]; then echo "Wrong version in .tex: $(VERSION) != $(TEXVERSION)"; exit 1; fi
	#translate source files before building pdf
	po4a po4a/po4a.cfg --verbose
	dh_auto_build

override_dh_clean:
	dh_clean
	#remove translated source files
	rm -f packaging-tutorial.*.tex debiantutorial.*.sty

override_dh_compress:
	dh_compress -X.pdf

update-version-date:
	sed -i -e "s/.* % DATE - use debian\/rules update-version-date/\\\\date{\\\\footnotesize version $(VERSION) -- $(YEAR)-$(MONTH)-$(DAY)} \% DATE - use debian\/rules update-version-date/" packaging-tutorial.tex

po-call:
	cd po4a && podebconf-report-po --postpone /tmp/po --notdebconf --call

## packaging-tutorial 0.9

=== debian/changelog ===
packaging-tutorial (0.9) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Unfuzzy strings

  [ Cédric Boutillier ]
  * (fr) update translation [proofread by Baptiste, JP Guillonneau]
  * (fr) proofread [Philippe Piette]

  [ Lucas Nussbaum ]
  * Update translation files
  * Add a debian/rule target to warn translators.
  * Fix typo. Reported by William King.
  * Add build-dependencies on texlive-lang-{german,spanish,french}.
    Closes: #712357
  * Fix minor typo. Patch from Simon Ruderich.
  * More minor fixes from Simon Ruderich.
  * Use fragile=singleslide for a faster build. Patch from Simon Ruderich.
    Closes: #702608
  * Update URLs to devscripts Vcs. Spotted by Niels Thykier. Closes: #704194
  * Manually unfuzzy french, german and spanish translations.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 20 Jun 2013 18:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: extra
 Maintainer: Lucas Nussbaum <lucas@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a
+Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/packaging-tutorial.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/packaging-tutorial.git;a=summary

## packaging-tutorial 0.12

=== debian/changelog ===
packaging-tutorial (0.12) unstable; urgency=low

  * Add Japanese translation from KURASAWA Nozomu (nabetaro)
    nabetaro@caldron.jp>.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Fix typo in ru's doc-base file.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 31 Oct 2013 09:56:38 +0100

packaging-tutorial (0.11) unstable; urgency=low

  * Add Russian translation from Lev Lamberov <l.lamberov@gmail.com>.
  * Add build-depend on texlive-lang-cyrillic.
  * Russian translation update after review from debian-l10n-russian.
  * Add doc-base file for Russian.
  * Add Portuguese translation. Closes: #724782
  * Minor fixes in portuguese translation to make it build.
  * Add a README for translators.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 29 Oct 2013 20:40:55 +0100

packaging-tutorial (0.10) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Change contact email to packaging-tutorial@p.d.o.
  * Mention ITP bugs.
  * Added documentation about the BTS.
  * Mention localized lists (Closes: #719925).
  * Update version in .tex.
  * Add slide: checklist before asking for sponsorship.
  * Improve 'Contribute' slide.
  * Update .po / .pot files.
  * Update CDBS/dh stats.

  [ Helge Kreutzmann ]
  * Fix two minor translation issues
  * Update German translation

  [ Cédric Boutillier ]
  * update French translation
  * proofread [ Jean-Pierre Giraud ]

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 12 Sep 2013 08:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: extra
 Maintainer: Lucas Nussbaum <lucas@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french, texlive-lang-cyrillic, texlive-lang-cjk, latex-cjk-common, texlive-latex-extra, texlive-fonts-extra
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/collab-maint/packaging-tutorial.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/packaging-tutorial.git;a=summary

## packaging-tutorial 0.14

=== debian/changelog ===
packaging-tutorial (0.14) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Unfuzzy German translation.

  [ Lucas Nussbaum ]
  * Add a practical session for packaging a CPAN module.
    Patch from Gregor Herrmann <gregoa@debian.org>. Thanks!
    Closes: #759758
  * Update portuguese translation. Thanks to
    Américo Monteiro <a_monteiro@gmx.com> for the patch.
    Closes: #756201

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 31 Aug 2014 21:17:48 -0700

packaging-tutorial (0.13) unstable; urgency=medium

  * Add alternative dependency on texlive-lang-japanese following
    the split of texlive-lang-cjk. Thanks to Gregor Herrmann for the
    patch! Closes: #751044

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 29 Jun 2014 18:32:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: doc
 Priority: extra
 Maintainer: Lucas Nussbaum <lucas@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french, texlive-lang-cyrillic, texlive-lang-cjk, latex-cjk-common, texlive-latex-extra, texlive-fonts-extra
+Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french, texlive-lang-cyrillic, texlive-lang-japanese | texlive-lang-cjk (<< 2014.20140513), latex-cjk-common, texlive-latex-extra, texlive-fonts-extra
 Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/collab-maint/packaging-tutorial.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/packaging-tutorial.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/packaging-tutorial.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/packaging-tutorial.git;a=summary
 
 Package: packaging-tutorial
 Architecture: all

## packaging-tutorial 0.15

=== debian/changelog ===
packaging-tutorial (0.15) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Unfuzzy German translation.

  [ Lucas Nussbaum ]
  * Unfuzzy French translation.
  * Update standards-version. No changes needed.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 16 Oct 2014 20:15:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Lucas Nussbaum <lucas@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french, texlive-lang-cyrillic, texlive-lang-japanese | texlive-lang-cjk (<< 2014.20140513), latex-cjk-common, texlive-latex-extra, texlive-fonts-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/packaging-tutorial.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/packaging-tutorial.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@ 
 
 #extract version number and date from Debian changelog
-VERSION := $(shell dpkg-parsechangelog | grep "^Version:" | cut -d\  -f2 | sed -e 's,~.*,,g')
+VERSION := $(shell dpkg-parsechangelog | grep "^Version:" | cut -d\  -f2)
 TEXVERSION := $(shell grep 'footnotesize version' packaging-tutorial.tex  | cut -d ' ' -f 3)
 YEAR    := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%Y")
 MONTH   := $(shell dpkg-parsechangelog | grep "^Date:" | cut -d\  -f2-5 | date +"%m")

## packaging-tutorial 0.19

=== debian/changelog ===
packaging-tutorial (0.19) unstable; urgency=medium

  * Improve gnujump practical session to make it easier. Closes: #735189
  * Remove references to wheezy. Closes: #849385
  * Mention how-can-i-help. Closes: #812075
  * Updates and improvements to french translation.
  * Updated zh_TW translation. Thanks to SZ Lin!
  * Updated portuguese translation. Thanks to Américo Monteiro. Closes: #851717

  [ Lev Lamberov ]
  * Update Russian translation.

  [ Helge Kreutzmann ]
  * Update German translation.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 24 Jan 2017 07:21:38 +0100

packaging-tutorial (0.18) unstable; urgency=medium

  * Add fonts-droid-fallback to build-depends, needed by Chinese version.
  * adduser now uses debhelper. Switch to another example of a non-debhelper
    package: rsync.
  * Provide source for cdbs vs dh data in a comment of the tex file.
    FTR, it is https://anonscm.debian.org/cgit/collab-qa/dhistory.git/
    Closes: #849163
  * Make minor changes to french, german, portuguese and russian translations.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 04 Jan 2017 11:33:54 +0100

packaging-tutorial (0.17) unstable; urgency=medium

  * Add build-depend on texlive-lang-chinese. Closes: #849571

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 29 Dec 2016 10:47:27 +0100

packaging-tutorial (0.16) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * grep pratical session: adjust version numbers.
  * No longer mention DEHS, since it's dead.
  * Replace pointers to the PTS by pointers to tracker.d.o.
  * Fix DMD URL.
  * Document various problems in the gnujump practical session.
  * Update PO files.
  * Update French translation.
  * Update German translation.
  * Add pointer to HowToSetupADebianRepository.
  * Add pointer to gbp documentation.
  * Restructure practical sessions.
  * Update translations.
  * Add updated Japanese translation from KURASAWA Nozomu. Closes: #782154
  * Update URLs to use HTTPS where available.
  * Mention that patch-tracker is down.
  * Update copyright notice.
  * Replace the gem used for the Ruby practical session. Closes: #702159
  * Update the Portuguese translation. Thanks Américo Monteiro!
    Closes: #809071
  * Update Japanese translation. Thanks to Takuma Yamada. Closes: #819212
  * Add Traditional Chinese translation. Thanks to szlin. Closes: #824558
  * Drop last line of the grep tutorial. Closes: #812076
  * po4a: add --keep 50 to keep spanish translation.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Fix VCS-* URLs. Fixes lintian warning.

  [ Lev Lamberov ]
  * Update russian translation.

  [ Helge Kreutzmann ]
  * Update German translation.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 26 Dec 2016 16:05:21 +0100

=== debian/control ===
Source: packaging-tutorial
Section: doc
Priority: extra
Maintainer: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 9~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french, texlive-lang-cyrillic, texlive-lang-japanese | texlive-lang-cjk (<< 2014.20140513), latex-cjk-common, texlive-latex-extra, texlive-fonts-extra, texlive-lang-chinese, fonts-droid-fallback
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/packaging-tutorial.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/packaging-tutorial.git;a=summary

Package: packaging-tutorial
Architecture: all
Depends: ${misc:Depends}
Description: introduction to Debian packaging
 This tutorial is an introduction to Debian packaging. It teaches prospective
 developers how to modify existing packages, how to create their own packages,
 and how to interact with the Debian community. In addition to the main
 tutorial, it includes three practical sessions on modifying the 'grep'
 package, and packaging the 'gnujump' game and a Java library.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	# version check
 	if [ $(TEXVERSION) != $(VERSION) ]; then echo "Wrong version in .tex: $(VERSION) != $(TEXVERSION)"; exit 1; fi
 	#translate source files before building pdf
-	po4a po4a/po4a.cfg --verbose
+	po4a po4a/po4a.cfg --verbose --keep 50
 	dh_auto_build
 
 override_dh_clean:

## packaging-tutorial 0.21

=== debian/changelog ===
packaging-tutorial (0.21) unstable; urgency=medium

  * Point to Guide for Debian Maintainers.
  * Fixes "FTBFS: Unescaped left brace in regex is illegal here in regex":
    escape braces in addendums. (Closes: #871357)
    Patch from gregor herrmann <gregoa@debian.org>

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 15 Aug 2017 12:06:37 +0200

packaging-tutorial (0.20) unstable; urgency=medium

  * Depend on texlive-latex-recommended instead of latex-beamer. Closes: #867098
  * Run wrap-and-sort.
  * Bump Standards-Version. No changes needed.
  * Use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 06 Jul 2017 23:12:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,23 @@
 Section: doc
 Priority: extra
 Maintainer: Lucas Nussbaum <lucas@debian.org>
-Build-Depends: debhelper (>= 9~), latex-make, latex-beamer, texlive, texlive-pictures, po4a, texlive-lang-german, texlive-lang-spanish, texlive-lang-french, texlive-lang-cyrillic, texlive-lang-japanese | texlive-lang-cjk (<< 2014.20140513), latex-cjk-common, texlive-latex-extra, texlive-fonts-extra, texlive-lang-chinese, fonts-droid-fallback
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9~),
+               fonts-droid-fallback,
+               latex-cjk-common,
+               latex-make,
+               po4a,
+               texlive,
+               texlive-fonts-extra,
+               texlive-lang-chinese,
+               texlive-lang-cyrillic,
+               texlive-lang-french,
+               texlive-lang-german,
+               texlive-lang-japanese | texlive-lang-cjk (<< 2014.20140513),
+               texlive-lang-spanish,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               texlive-pictures
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/packaging-tutorial.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/packaging-tutorial.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
%:
	dh $@ 

#extract version number and date from Debian changelog
TEXVERSION := $(shell grep 'footnotesize version' packaging-tutorial.tex  | cut -d ' ' -f 3)
YMD := $(shell date -d@$(SOURCE_DATE_EPOCH) +'%Y-%m-%d')


override_dh_auto_build:
	# version check
	if [ $(TEXVERSION) != $(DEB_VERSION) ]; then echo "Wrong version in .tex: $(DEB_VERSION) != $(TEXVERSION)"; exit 1; fi
	#translate source files before building pdf
	po4a po4a/po4a.cfg --verbose --keep 50
	dh_auto_build

override_dh_clean:
	dh_clean
	#remove translated source files
	rm -f packaging-tutorial.*.tex debiantutorial.*.sty

override_dh_compress:
	dh_compress -X.pdf

update-version-date:
	sed -i -e "s/.* % DATE - use debian\/rules update-version-date/\\\\date{\\\\footnotesize version $(DEB_VERSION) -- $(YMD)} \% DATE - use debian\/rules update-version-date/" packaging-tutorial.tex

po-call:
	cd po4a && podebconf-report-po --postpone /tmp/po --notdebconf --call

## packaging-tutorial 0.23

=== debian/changelog ===
packaging-tutorial (0.23) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German translation.

  [ Lucas Nussbaum ]
  * Fix typo and manually unfuzzy translations. Thanks to Leandro Pereira
    for the report, and to Judit Foglszinger for the patch. Closes: 923622
  * Add Brazilian Portuguese translation. Thanks to Tassia Camoes Araujo.
    Closes: #923680
  * Update copyright.
  * Add note about how to use mutt to contact translators.
  * Fix two minor bugs. Thanks Tassia for noticing.
  * Update pt translation. Thanks to Américo Monteiro. Closes: #923366

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 04 Mar 2019 21:46:26 +0100

packaging-tutorial (0.22) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German translation.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Lucas Nussbaum ]
  * Replace ProvidesPackageRCS with ProvidesPackage. Closes: #921801
  * Do not complain about the version if the target is UNRELEASED
  * Add slides about archive suites. Closes: #887422
  * Drop "not covered" part of conclusions slide. Those are mostly minor things.
  * Fix links to alioth. Closes: #904353
  * Update PO files.
  * Update French translation.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 21 Feb 2019 14:50:21 +0100

## packaging-tutorial 0.24

=== Makefile ===
include LaTeX.mk

printable:
	pdfnup --paper a4paper --no-landscape --nup 2x4 --frame true --offset '0cm 0cm' --delta '0.5mm 0.5mm' --scale 0.965 --suffix 8 packaging-tutorial.pdf
	pdfnup --paper a4paper --landscape --nup 2x2 --frame true --offset '0cm 0cm' --delta '1mm 1mm' --scale 0.96 --suffix 4 packaging-tutorial.pdf

=== debian/changelog ===
packaging-tutorial (0.24) unstable; urgency=medium

  * Update Chinese translation. Thanks to "SZ Lin (林上智)" <szlin@debian.org>!

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 13 Mar 2019 13:06:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: packaging-tutorial
 Section: doc
-Priority: extra
+Priority: optional
 Maintainer: Lucas Nussbaum <lucas@debian.org>
 Build-Depends: debhelper (>= 9~),
                fonts-droid-fallback,
@@ -19,8 +19,8 @@
                texlive-latex-recommended,
                texlive-pictures
 Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/packaging-tutorial.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/packaging-tutorial.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/packaging-tutorial.git
+Vcs-Browser: https://salsa.debian.org/debian/packaging-tutorial
 
 Package: packaging-tutorial
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,16 @@
 
 include /usr/share/dpkg/pkg-info.mk
 %:
-	dh $@ 
+	dh $@
 
 #extract version number and date from Debian changelog
 TEXVERSION := $(shell grep 'footnotesize version' packaging-tutorial.tex  | cut -d ' ' -f 3)
 YMD := $(shell date -d@$(SOURCE_DATE_EPOCH) +'%Y-%m-%d')
-
+DISTRIB := $(shell dpkg-parsechangelog  -S Distribution)
 
 override_dh_auto_build:
 	# version check
-	if [ $(TEXVERSION) != $(DEB_VERSION) ]; then echo "Wrong version in .tex: $(DEB_VERSION) != $(TEXVERSION)"; exit 1; fi
+	if [ $(TEXVERSION) != $(DEB_VERSION) -a $(DISTRIB) != 'UNRELEASED' ]; then echo "Wrong version in .tex: $(DEB_VERSION) != $(TEXVERSION)"; exit 1; fi
 	#translate source files before building pdf
 	po4a po4a/po4a.cfg --verbose --keep 50
 	dh_auto_build
@@ -29,3 +29,4 @@
 
 po-call:
 	cd po4a && podebconf-report-po --postpone /tmp/po --notdebconf --call
+	echo "Now use: mutt -e 'set postponed=/tmp/po' -p"

## packaging-tutorial 0.27

=== debian/changelog ===
packaging-tutorial (0.27) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * Add build-depend on texlive-lang-european.
  * tests: add allow-stderr restriction.

  [ Helge Kreutzmann ]
  * Update German translation.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 08 Jan 2021 09:30:11 +0100

packaging-tutorial (0.26) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * Upgrade debhelper compat level to 13.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Define Rules-Requires-Root.
  * Add a basic package test.
  * Clarify title of slide about SRM. Closes: #925900
  * Refresh translations.

  [ Alban VIDAL ]
  * Move anonscm to Salsa and add link to online version.

  [ Frans Spiesschaert ]
  * Prevent the last line to get dropped off from slide 47. Closes: 949000
  * Add Dutch translation. Closes: #951716

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 07 Jan 2021 22:26:35 +0100

packaging-tutorial (0.25) unstable; urgency=medium

  * Properly release a new version. No other changes for now.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 06 Jan 2021 21:59:23 +0100

packaging-tutorial (0.24+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 13:29:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Lucas Nussbaum <lucas@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
                fonts-droid-fallback,
                latex-cjk-common,
                latex-make,
@@ -11,6 +11,7 @@
                texlive-fonts-extra,
                texlive-lang-chinese,
                texlive-lang-cyrillic,
+               texlive-lang-european,
                texlive-lang-french,
                texlive-lang-german,
                texlive-lang-japanese | texlive-lang-cjk (<< 2014.20140513),
@@ -18,7 +19,8 @@
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-pictures
-Standards-Version: 4.0.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/packaging-tutorial.git
 Vcs-Browser: https://salsa.debian.org/debian/packaging-tutorial

=== debian/tests/control ===
Tests: check-pdf
Depends: @, pdfgrep
Restrictions: allow-stderr

## packaging-tutorial 0.29

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,13 @@
-include LaTeX.mk
+all: $(patsubst %.tex,%.pdf,$(wildcard *.tex))
+
+%.pdf: %.tex
+	latexmk -pdf $<
+
+packaging-tutorial.zh_CN.pdf: packaging-tutorial.zh_CN.tex
+	latexmk -pdf -xelatex $<
+
+clean:
+	latexmk -C
 
 printable:
 	pdfnup --paper a4paper --no-landscape --nup 2x4 --frame true --offset '0cm 0cm' --delta '0.5mm 0.5mm' --scale 0.965 --suffix 8 packaging-tutorial.pdf

=== debian/changelog ===
packaging-tutorial (0.29) unstable; urgency=medium

  * add Galician translation. Contributed by Parodper <parodper@gmail.com>

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 03 Nov 2021 20:33:03 +0100

packaging-tutorial (0.28) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * Improve slide about debhelper and debian/compat
  * Replace helpers graph with pointer to debian trends
  * Update translation files
  * Update fr.po
  * Update teams addresses for pt and pt_BR
  * Update Portuguese translation. Patch from Américo Monteiro. Closes: #983571
  * Update NL translation. Patch by rans Spiesschaert. Closes: #984825, #981881
  * NL: fix typo
  * Move from LaTeX.mk to latexmk

  [ Helge Kreutzmann ]
  * Unfuzzy/Recomplete German translation

  [ SZ Lin (林上智) ]
  * Tidy and update Traditional Chinese translation

  [ Tassia Camoes Araujo ]
  * Unfuzzy/complete pt_BR translation. Closes: #984995
  * Improvements to the pt_BR translation
  * Fixes from l10n team review (thanks to adrianorg)

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 30 Oct 2021 21:51:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                fonts-droid-fallback,
                latex-cjk-common,
-               latex-make,
+               latexmk,
                po4a,
                texlive,
                texlive-fonts-extra,
@@ -18,7 +18,8 @@
                texlive-lang-spanish,
                texlive-latex-extra,
                texlive-latex-recommended,
-               texlive-pictures
+               texlive-pictures,
+               texlive-xetex
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/packaging-tutorial.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_build:
 	# version check
-	if [ $(TEXVERSION) != $(DEB_VERSION) -a $(DISTRIB) != 'UNRELEASED' ]; then echo "Wrong version in .tex: $(DEB_VERSION) != $(TEXVERSION)"; exit 1; fi
+	if [ ! \( $(TEXVERSION) = $(DEB_VERSION) -o $(DISTRIB) = 'UNRELEASED' -o "$(TEXVERSION)+salsaci" = $(DEB_VERSION) \) ]; then echo "Wrong version in .tex: $(DEB_VERSION) != $(TEXVERSION)"; exit 1; fi
 	#translate source files before building pdf
 	po4a po4a/po4a.cfg --verbose --keep 50
 	dh_auto_build

=== debian/tests/control ===
Tests: check-pdf
Depends: pdfgrep, @
Restrictions: allow-stderr

## packaging-tutorial 0.30

=== debian/changelog ===
packaging-tutorial (0.30) unstable; urgency=medium

  [ lu4nx ]
  * "免费软件" change to "自由软件"

  [ Daichi Fukui ]
  * Update URL to Ubuntu Packaging Guide. Closes: #1001504

  [ Lucas Nussbaum ]
  * Nomalize POT and PO files to reduce future diffs.
  * Update URL of Ubuntu Packaging Guide in translations.
  * Update Standards-Version. No changes needed.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 16 Mar 2024 14:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                texlive-latex-recommended,
                texlive-pictures,
                texlive-xetex
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/packaging-tutorial.git
 Vcs-Browser: https://salsa.debian.org/debian/packaging-tutorial

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	# version check
 	if [ ! \( $(TEXVERSION) = $(DEB_VERSION) -o $(DISTRIB) = 'UNRELEASED' -o "$(TEXVERSION)+salsaci" = $(DEB_VERSION) \) ]; then echo "Wrong version in .tex: $(DEB_VERSION) != $(TEXVERSION)"; exit 1; fi
 	#translate source files before building pdf
-	po4a po4a/po4a.cfg --verbose --keep 50
+	po4a po4a/po4a.cfg --verbose --keep 50 --wrap-po newlines
+	# normalize po files
+	for i in $$(find po4a -name '*.po'); do msgcat --no-wrap $$i > $$i.o && mv $$i.o $$i; done
 	dh_auto_build
 
 override_dh_clean:

## packaging-tutorial 0.30build1

=== debian/changelog ===
packaging-tutorial (0.30build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:49:02 +0000
